org.eclnt.jsfserver.elements.componentnodes

## Class MODALPOPUPNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.MODALPOPUPNode

- All Implemented Interfaces:
    java.io.Serializable

      public class MODALPOPUPNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MODALPOPUPNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MODALPOPUPNode` | `bindActionListener(IActionListenerDelegation value)`
    `MODALPOPUPNode` | `bindAnimationtype(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindAvoidfocussingofopener(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindAvoidfocussingofpopup(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindBackground(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindBorder(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindClientname(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindCloseonmouseactivity(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindCloseonmouseexit(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindComment(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindHeight(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindHighlightreference(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindImage(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindIsmaximized(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindIsnew(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindLeft(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindLefttopreference(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindOpacity(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindOpened(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindPopupowner(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindRendered(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindScreenbackgroundcolor(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindSizeableifundecorated(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindStartfromrootwindow(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindTitle(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindTop(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindUndecorated(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindWidth(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `bindWithanimation(IDynamicContentBindingObject value)`
    `MODALPOPUPNode` | `setActionListener(java.lang.String value)`
    `MODALPOPUPNode` | `setAnimationtype(java.lang.String value)`
    `MODALPOPUPNode` | `setAttributemacro(java.lang.String value)`
    `MODALPOPUPNode` | `setAvoidfocussingofopener(java.lang.String value)`
    `MODALPOPUPNode` | `setAvoidfocussingofpopup(java.lang.String value)`
    `MODALPOPUPNode` | `setBackground(java.lang.String value)`
    `MODALPOPUPNode` | `setBgpaint(java.lang.String value)`
    `MODALPOPUPNode` | `setBorder(java.lang.String value)`
    `MODALPOPUPNode` | `setClientname(java.lang.String value)`
    `MODALPOPUPNode` | `setCloseonmouseactivity(java.lang.String value)`
    `MODALPOPUPNode` | `setCloseonmouseexit(java.lang.String value)`
    `MODALPOPUPNode` | `setComment(java.lang.String value)`
    `MODALPOPUPNode` | `setConfiginfo(java.lang.String value)`
    `MODALPOPUPNode` | `setHeight(int value)`
    `MODALPOPUPNode` | `setHeight(java.lang.String value)`
    `MODALPOPUPNode` | `setHighlightreference(java.lang.String value)`
    `MODALPOPUPNode` | `setId(java.lang.String value)`
    `MODALPOPUPNode` | `setImage(java.lang.String value)`
    `MODALPOPUPNode` | `setIsmaximized(java.lang.String value)`
    `MODALPOPUPNode` | `setIsnew(java.lang.String value)`
    `MODALPOPUPNode` | `setLeft(java.lang.String value)`
    `MODALPOPUPNode` | `setLefttopreference(java.lang.String value)`
    `MODALPOPUPNode` | `setOpacity(java.lang.String value)`
    `MODALPOPUPNode` | `setOpened(boolean value)`
    `MODALPOPUPNode` | `setOpened(java.lang.String value)`
    `MODALPOPUPNode` | `setPopupowner(java.lang.String value)`
    `MODALPOPUPNode` | `setReference(java.lang.String value)`
    `MODALPOPUPNode` | `setRendered(boolean value)`
    `MODALPOPUPNode` | `setRendered(java.lang.String value)`
    `MODALPOPUPNode` | `setScreenbackgroundcolor(java.lang.String value)`
    `MODALPOPUPNode` | `setSizeableifundecorated(java.lang.String value)`
    `MODALPOPUPNode` | `setStartfromrootwindow(boolean value)`
    `MODALPOPUPNode` | `setStartfromrootwindow(java.lang.String value)`
    `MODALPOPUPNode` | `setStyleseq(java.lang.String value)`
    `MODALPOPUPNode` | `setStylevariant(java.lang.String value)`
    `MODALPOPUPNode` | `setTitle(java.lang.String value)`
    `MODALPOPUPNode` | `setTop(java.lang.String value)`
    `MODALPOPUPNode` | `setUndecorated(java.lang.String value)`
    `MODALPOPUPNode` | `setWidth(int value)`
    `MODALPOPUPNode` | `setWidth(java.lang.String value)`
    `MODALPOPUPNode` | `setWithanimation(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MODALPOPUPNode

          public MODALPOPUPNode()

  - ### Method Detail

    - #### setId

          public MODALPOPUPNode setId(java.lang.String value)

    - #### setActionListener

          public MODALPOPUPNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public MODALPOPUPNode bindActionListener(IActionListenerDelegation value)

    - #### setAnimationtype

          public MODALPOPUPNode setAnimationtype(java.lang.String value)

    - #### bindAnimationtype

          public MODALPOPUPNode bindAnimationtype(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public MODALPOPUPNode setAttributemacro(java.lang.String value)

    - #### setAvoidfocussingofopener

          public MODALPOPUPNode setAvoidfocussingofopener(java.lang.String value)

    - #### bindAvoidfocussingofopener

          public MODALPOPUPNode bindAvoidfocussingofopener(IDynamicContentBindingObject value)

    - #### setAvoidfocussingofpopup

          public MODALPOPUPNode setAvoidfocussingofpopup(java.lang.String value)

    - #### bindAvoidfocussingofpopup

          public MODALPOPUPNode bindAvoidfocussingofpopup(IDynamicContentBindingObject value)

    - #### setBackground

          public MODALPOPUPNode setBackground(java.lang.String value)

    - #### bindBackground

          public MODALPOPUPNode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public MODALPOPUPNode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public MODALPOPUPNode bindBgpaint(IDynamicContentBindingObject value)

    - #### setBorder

          public MODALPOPUPNode setBorder(java.lang.String value)

    - #### bindBorder

          public MODALPOPUPNode bindBorder(IDynamicContentBindingObject value)

    - #### setClientname

          public MODALPOPUPNode setClientname(java.lang.String value)

    - #### bindClientname

          public MODALPOPUPNode bindClientname(IDynamicContentBindingObject value)

    - #### setCloseonmouseactivity

          public MODALPOPUPNode setCloseonmouseactivity(java.lang.String value)

    - #### bindCloseonmouseactivity

          public MODALPOPUPNode bindCloseonmouseactivity(IDynamicContentBindingObject value)

    - #### setCloseonmouseexit

          public MODALPOPUPNode setCloseonmouseexit(java.lang.String value)

    - #### bindCloseonmouseexit

          public MODALPOPUPNode bindCloseonmouseexit(IDynamicContentBindingObject value)

    - #### setComment

          public MODALPOPUPNode setComment(java.lang.String value)

    - #### bindComment

          public MODALPOPUPNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public MODALPOPUPNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public MODALPOPUPNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setHeight

          public MODALPOPUPNode setHeight(java.lang.String value)

    - #### bindHeight

          public MODALPOPUPNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public MODALPOPUPNode setHeight(int value)

    - #### setHighlightreference

          public MODALPOPUPNode setHighlightreference(java.lang.String value)

    - #### bindHighlightreference

          public MODALPOPUPNode bindHighlightreference(IDynamicContentBindingObject value)

    - #### setImage

          public MODALPOPUPNode setImage(java.lang.String value)

    - #### bindImage

          public MODALPOPUPNode bindImage(IDynamicContentBindingObject value)

    - #### setIsmaximized

          public MODALPOPUPNode setIsmaximized(java.lang.String value)

    - #### bindIsmaximized

          public MODALPOPUPNode bindIsmaximized(IDynamicContentBindingObject value)

    - #### setIsnew

          public MODALPOPUPNode setIsnew(java.lang.String value)

    - #### bindIsnew

          public MODALPOPUPNode bindIsnew(IDynamicContentBindingObject value)

    - #### setLeft

          public MODALPOPUPNode setLeft(java.lang.String value)

    - #### bindLeft

          public MODALPOPUPNode bindLeft(IDynamicContentBindingObject value)

    - #### setLefttopreference

          public MODALPOPUPNode setLefttopreference(java.lang.String value)

    - #### bindLefttopreference

          public MODALPOPUPNode bindLefttopreference(IDynamicContentBindingObject value)

    - #### setOpacity

          public MODALPOPUPNode setOpacity(java.lang.String value)

    - #### bindOpacity

          public MODALPOPUPNode bindOpacity(IDynamicContentBindingObject value)

    - #### setOpened

          public MODALPOPUPNode setOpened(java.lang.String value)

    - #### bindOpened

          public MODALPOPUPNode bindOpened(IDynamicContentBindingObject value)

    - #### setOpened

          public MODALPOPUPNode setOpened(boolean value)

    - #### setPopupowner

          public MODALPOPUPNode setPopupowner(java.lang.String value)

    - #### bindPopupowner

          public MODALPOPUPNode bindPopupowner(IDynamicContentBindingObject value)

    - #### setReference

          public MODALPOPUPNode setReference(java.lang.String value)

    - #### setRendered

          public MODALPOPUPNode setRendered(java.lang.String value)

    - #### bindRendered

          public MODALPOPUPNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public MODALPOPUPNode setRendered(boolean value)

    - #### setScreenbackgroundcolor

          public MODALPOPUPNode setScreenbackgroundcolor(java.lang.String value)

    - #### bindScreenbackgroundcolor

          public MODALPOPUPNode bindScreenbackgroundcolor(IDynamicContentBindingObject value)

    - #### setSizeableifundecorated

          public MODALPOPUPNode setSizeableifundecorated(java.lang.String value)

    - #### bindSizeableifundecorated

          public MODALPOPUPNode bindSizeableifundecorated(IDynamicContentBindingObject value)

    - #### setStartfromrootwindow

          public MODALPOPUPNode setStartfromrootwindow(java.lang.String value)

    - #### bindStartfromrootwindow

          public MODALPOPUPNode bindStartfromrootwindow(IDynamicContentBindingObject value)

    - #### setStartfromrootwindow

          public MODALPOPUPNode setStartfromrootwindow(boolean value)

    - #### setStyleseq

          public MODALPOPUPNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public MODALPOPUPNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public MODALPOPUPNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public MODALPOPUPNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTitle

          public MODALPOPUPNode setTitle(java.lang.String value)

    - #### bindTitle

          public MODALPOPUPNode bindTitle(IDynamicContentBindingObject value)

    - #### setTop

          public MODALPOPUPNode setTop(java.lang.String value)

    - #### bindTop

          public MODALPOPUPNode bindTop(IDynamicContentBindingObject value)

    - #### setUndecorated

          public MODALPOPUPNode setUndecorated(java.lang.String value)

    - #### bindUndecorated

          public MODALPOPUPNode bindUndecorated(IDynamicContentBindingObject value)

    - #### setWidth

          public MODALPOPUPNode setWidth(java.lang.String value)

    - #### bindWidth

          public MODALPOPUPNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public MODALPOPUPNode setWidth(int value)

    - #### setWithanimation

          public MODALPOPUPNode setWithanimation(java.lang.String value)

    - #### bindWithanimation

          public MODALPOPUPNode bindWithanimation(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.